Just received notification of Critical Update KB890175 (MS05-001)
"Vulnerability in HTML Help Could Allow Code Execution (890175)"
is the subheading.

Anyone besides myself installed it yet?
Any problems?